Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1394790 (CVE-2016-9296) - CVE-2016-9296 p7zip: Null pointer dereference in 7zIn.cpp
Summary: CVE-2016-9296 p7zip: Null pointer dereference in 7zIn.cpp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-9296
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1394794 1394795
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 13:13 UTC by Andrej Nemec
Modified: 2019-09-29 13:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-12 15:18:14 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-14 13:13:29 UTC
A null pointer dereference vulnerability was found in p7zip. Malformed 7z file could cause the application to crash.

Upstream bug:

https://sourceforge.net/p/p7zip/bugs/185/

Comment 1 Andrej Nemec 2016-11-14 13:16:26 UTC
Created p7zip tracking bugs for this issue:

Affects: fedora-all [bug 1394794]
Affects: epel-all [bug 1394795]

Comment 2 Sergio Basto 2016-12-13 18:27:07 UTC
p7zip 16.02 + more CVE-2016-9296.patch [1] = p7zip 16.02-2 

[1] 
https://src.fedoraproject.org/cgit/rpms/p7zip.git/tree/CVE-2016-9296.patch

Comment 3 Tomas Hoger 2016-12-13 20:50:05 UTC
Fixed In Version field here is meant to note fixed upstream version.  Based on your comment 2, it should not note 16.02.  If there is not fixed upstream version yet, it should be left blank.


Note You need to log in before you can comment on or make changes to this bug.